Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iplan
Class PlanEvaluator

    java.lang.Object
      ix.iplan.PlanEvaluator

Direct Known Subclasses:
  TechnicalPlanEvalManager.ChecksimEval, TechnicalPlanEvalManager.IssueCountEval, TechnicalPlanEvalManager.LongestPathLengthEval, TechnicalPlanEvalManager.NodeCountEval, TechnicalPlanEvalManager.ObjectCountEval, TechnicalPlanEvalManager.ObjectUseEval, TechnicalPlanEvalManager.TaskDescriptionEval

    public abstract class PlanEvaluator

extends java.lang.Object

Produces a description of some aspect of a plan. The description is returned by the `evaluatePlan(Ip2, String)` method as a `PlanEvaluation`. The plan-evaluator also has a description, returned by its `getShortDescription()` method, that describes that plan-aspect. For example, a plan-evaluator that counted the number of activities in a plan might have "number activities in plan" as it's description and return the number as an Integer wrapped in a PlanEvaluation.

Field Summary
`protected java.lang.String` | `shortDescription`

Constructor Summary
`PlanEvaluator()`
`PlanEvaluator(java.lang.String shortDescription)`

Method Summary
`abstract PlanEvaluation` | `evaluatePlan(Ip2 ip2, java.lang.String optionName)`
`java.lang.String` | `getShortDescription()`
`boolean` | `isVisible()`
`void` | `setVisible(boolean v)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### shortDescription

    protected java.lang.String shortDescription

Constructor Detail

### PlanEvaluator

    public PlanEvaluator()

### PlanEvaluator

    public PlanEvaluator(java.lang.String shortDescription)

Method Detail

### getShortDescription

    public java.lang.String getShortDescription()

### evaluatePlan

    public abstract PlanEvaluation evaluatePlan(Ip2 ip2,
                                                java.lang.String optionName)

### isVisible

    public boolean isVisible()

### setVisible

    public void setVisible(boolean v)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD